Skip to navigation

Get Page Snapshot

Get a snapshot of all the page widget regions for a given channel, template file, or entity.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Add scopes ++++modify...
Addread-onlystore_v2_marketing_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

X-Correlation-IdstringOptionalformat: "uuid"

An identifier unique to a set of related requests. For use on headless storefronts, excluding BigCommerce for WordPress. For more information, see Best Practices or the Headless Guide.

Query parameters

channel_idintegerOptionalDefaults to 1
The ID of the channel for which you want to retrieve page widgets. Defaults to the first channel created on the store.
template_filestringOptional
The template file that you would like to target. Leave it empty if the request is for Global regions.
entity_idstringOptional

The identifier of a page you would like to target. For product pages, choose product ID. For category pages, choose category ID. Home page does not support entity_id. Leave empty if the request is for global regions.

Response headers

DatestringOptional

An [RFC 2822](a href=“http://tools.ietf.org/html/rfc2822#section-3.3) date.

Last-ModifiedstringOptional

An [RFC 2822](a href=“http://tools.ietf.org/html/rfc2822#section-3.3) date. The date the resource was last modified.

Content-EncodingenumOptional
Lets API clients request compressed responses.
Allowed values:
Transfer-EncodingstringOptional
Specifies the form of encoding used to transfer the resource.
X-Rate-Limit-Time-Window-MsintegerOptional

number | Shows the size of your current rate-limiting window, in milliseconds.

X-Rate-Limit-Time-Reset-MsintegerOptional

Shows how many milliseconds are remaining in the window. In this case, 15000 milliseconds – so, 15000 milliseconds after this request, the API quota will be refreshed.

X-Rate-Limit-Requests-QuotaintegerOptional
Shows how many API requests are allowed in the current window for your client.
X-Rate-Limit-Requests-LeftintegerOptional

Details how many remaining requests your client can make in the current window before being rate-limited. In this case, you would expect to be able to make 35 more requests in the next 15000 milliseconds; on the 36th request within 15000 milliseconds, you would be rate-limited and receive an HTTP 429 response.

X-Retry-AfterintegerOptional

Rate limited response, indicating the number of seconds before the quota refreshes. See Rate Limits.

X-BC-ApiLimit-RemainingintegerOptional

The number of API requests remaining for the current period (rolling one hour).

X-BC-Store-VersionstringOptional

The version of BigCommerce on which the store is running. This header is available on versions 7.3.6+.

Response

The page snapshot.
dataobjectOptional
metaobjectOptional
Data about the response, including pagination and collection totals.

Errors

422
Unprocessable Entity Error